<template>
	<view>
		<view class="top">
			<view class="int">
				<image src="https://chenglantimes.com/prod-api/profile/upload/2024/06/04/1717472740192.jpg" mode="widthFix"></image>
				<button class="btn" @click="go(0)">我要找工作</button>
			</view>
		</view>
		<view class="middle">
			<view class="int"><u-divider text="或者"></u-divider></view>
		</view>
		<view class="top" style="top: 55%">
			<view class="int">
				<image src="https://chenglantimes.com/prod-api/profile/upload/2024/06/04/1717472782145.jpg" mode="widthFix"></image>
				<button class="btn" @click="go(1)">我要招人</button>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				wxUserInfo: {},
				wx: 'false'
			};
		},
		onLoad(data) {
			if (data.wxUserInfo) {
				this.wxUserInfo = data.wxUserInfo
			}
			if (data.wx) {
				this.wx = data.wx
			}
		},
		methods: {
			//注册
			go(type) {
				this.http.request({
					url: '/app/user/choice',
					data: { type: type },
					method: 'POST',
					success: res => {
						uni.navigateBack();
					}
				});
			}
		}
	};
</script>

<style lang="scss">
	.top {
		position: fixed;
		width: 100%;
		height: 45%;
		top: 7%;
	}
	.middle {
		position: fixed;
		width: 100%;
		height: 10%;
		top: 45%;
	}
	image {
		width: 75%;
		border-radius: 60%;
	}
	.int {
		padding: 10px 70px 10px 70px;
		overflow: hidden;
		text-align: center;
	}
	.btn {
		margin-top: 25px;
	}
</style>